VCS: https://gitlab.cern.ch/linuxsupport/rpms/cern-sssd-conf/-/tree/3282eed9cee71c91177067927fcceac56afbf246
Name:          cern-sssd-conf
Version:       1.2
Release:       2%{?dist}
Summary:       A simple sssd configuration file to be used at CERN
Group:         CERN/Utilities
License:       BSD
URL:           http://linux.cern.ch
Source0:       %{name}-%{version}.tgz
BuildArch:     noarch
Requires:      sssd, sssd-krb5
BuildRequires: systemd
Conflicts:     cern-sssd-conf-cernch, cern-sssd-conf-ipadev, cern-sssd-conf-global, cern-sssd-conf-global-cernch, cern-sssd-conf-global-ipadev, cern-sssd-conf-global-cernch-ipadev, cern-sssd-conf-global-ipadev-cernch, cern-sssd-conf-domain-cernch, cern-sssd-conf-domain-ipadev, cern-sssd-conf-servers-cernch-gpn, cern-sssd-conf-servers-ipadev-gpn

%description
This rpm provides a basic sssd configuration file to be used at CERN

%package cernch
Requires:      cern-sssd-conf-global-cernch, cern-sssd-conf-domain-cernch
Conflicts:     cern-sssd-conf-ipadev
Summary:       SSSD configuration for CERN's main domain
%description cernch
SSSD configuration to use CERN's main identity management infrastructure

%package ipadev
Requires:      cern-sssd-conf-global-ipadev, cern-sssd-conf-domain-ipadev
Conflicts:     cern-sssd-conf-cernch
Summary:       SSSD configuration for CERN's IPAdev domain
%description ipadev
SSSD configuration to use CERN's IPAdev identity management infrastructure

%package global
Requires:      sssd
Summary:       SSSD global configuration fragment for CERN domains
%description global
SSSD global configuration fragment to use CERN's identity management
infrastructure

%package global-cernch
Requires:      sssd, cern-sssd-conf-global
Conflicts:     cern-sssd-conf-global-ipadev, cern-sssd-conf-global-cernch-ipadev, cern-sssd-conf-global-ipadev-cernch
Summary:       SSSD global configuration fragment for CERN's main domain
%description global-cernch
SSSD global configuration fragment to use CERN's main identity management
infrastructure

%package global-ipadev
Requires:      sssd, cern-sssd-conf-global
Conflicts:     cern-sssd-conf-global-cernch, cern-sssd-conf-global-cernch-ipadev, cern-sssd-conf-global-ipadev-cernch
Summary:       SSSD global configuration fragment for CERN's IPAdev domain
%description global-ipadev
SSSD global configuration fragment to use CERN's IPAdev identity management
infrastructure

%package global-cernch-ipadev
Requires:      sssd, cern-sssd-conf-global
Conflicts:     cern-sssd-conf-global-cernch, cern-sssd-conf-global-ipadev, cern-sssd-conf-global-ipadev-cernch
Summary:       SSSD global configuration fragment for CERN's main and IPAdev domains
%description global-cernch-ipadev
SSSD global configuration fragment to use CERN's main and IPAdev identity
management infrastructures

%package global-ipadev-cernch
Requires:      sssd, cern-sssd-conf-global
Conflicts:     cern-sssd-conf-global-cernch, cern-sssd-conf-global-ipadev, cern-sssd-conf-global-cernch-ipadev
Summary:       SSSD global configuration fragment for CERN's IPAdev and main domains
%description global-ipadev-cernch
SSSD global configuration fragment to use CERN's IPAdev and main identity
management infrastructures

%package domain-cernch
Requires:      sssd, CERN-CA-certs, sssd-ldap, sssd-krb5, cern-sssd-conf-servers-cernch-gpn
Summary:       SSSD configuration fragment for CERN's main domain
%description domain-cernch
SSSD configuration fragment to use CERN's main identity management
infrastructure

%package domain-ipadev
Requires:      sssd, CERN-CA-certs, ipa-client, cern-sssd-conf-servers-ipadev-gpn
Summary:       SSSD configuration fragment for CERN's IPAdev domain
%description domain-ipadev
SSSD configuration fragment to use CERN's IPAdev identity management
infrastructure

%package servers-cernch-gpn
Requires:      sssd, CERN-CA-certs, sssd-ldap, sssd-krb5
Summary:       SSSD configuration fragment for the servers of CERN's main domain
%description servers-cernch-gpn
SSSD configuration fragment for the servers of CERN's main domain

%package servers-ipadev-gpn
Requires:      sssd, CERN-CA-certs, ipa-client
Summary:       SSSD configuration fragment for the servers of CERN's IPAdev domain
%description servers-ipadev-gpn
SSSD configuration fragment for the servers of CERN's IPAdev domain

%prep
%setup -q

%build

%install
install -d %{buildroot}/%{_sysconfdir}/sssd/conf.d
%if 0%{rhel} <= 7
install -p -m 0600 sssd.conf %{buildroot}/%{_sysconfdir}/sssd/sssd.conf
%endif
install -p -m 0600 00_cern.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/00_cern.conf
install -p -m 0600 00_cern-global.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/00_cern-global.conf
install -p -m 0600 01_cern-global-cernch.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/01_cern-global-cernch.conf
install -p -m 0600 01_cern-global-ipadev.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/01_cern-global-ipadev.conf
install -p -m 0600 01_cern-global-cernch-ipadev.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/01_cern-global-cernch-ipadev.conf
install -p -m 0600 01_cern-global-ipadev-cernch.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/01_cern-global-ipadev-cernch.conf
install -p -m 0600 02_cern-domain-cernch.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/02_cern-domain-cernch.conf
install -p -m 0600 02_cern-domain-ipadev.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/02_cern-domain-ipadev.conf
install -p -m 0600 03_cern-servers-cernch-gpn.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/03_cern-servers-cernch-gpn.conf
install -p -m 0600 03_cern-servers-ipadev-gpn.conf %{buildroot}/%{_sysconfdir}/sssd/conf.d/03_cern-servers-ipadev-gpn.conf

%files
%config %{_sysconfdir}/sssd/conf.d/00_cern.conf

%files global
%if 0%{rhel} <= 7
%config(noreplace) %{_sysconfdir}/sssd/sssd.conf
%endif
%config %{_sysconfdir}/sssd/conf.d/00_cern-global.conf

%files global-cernch
%config %{_sysconfdir}/sssd/conf.d/01_cern-global-cernch.conf

%files global-ipadev
%config %{_sysconfdir}/sssd/conf.d/01_cern-global-ipadev.conf

%files global-cernch-ipadev
%config %{_sysconfdir}/sssd/conf.d/01_cern-global-cernch-ipadev.conf

%files global-ipadev-cernch
%config %{_sysconfdir}/sssd/conf.d/01_cern-global-ipadev-cernch.conf

%files domain-cernch
%config %{_sysconfdir}/sssd/conf.d/02_cern-domain-cernch.conf

%files domain-ipadev
%config %{_sysconfdir}/sssd/conf.d/02_cern-domain-ipadev.conf

%files servers-cernch-gpn
%config %{_sysconfdir}/sssd/conf.d/03_cern-servers-cernch-gpn.conf

%files servers-ipadev-gpn
%config %{_sysconfdir}/sssd/conf.d/03_cern-servers-ipadev-gpn.conf

%post
%systemd_post sssd.service
systemctl restart sssd.service

%post global
%systemd_post sssd.service
systemctl restart sssd.service

%post global-cernch
%systemd_post sssd.service
systemctl restart sssd.service

%post global-ipadev
%systemd_post sssd.service
systemctl restart sssd.service

%post global-cernch-ipadev
%systemd_post sssd.service
systemctl restart sssd.service

%post global-ipadev-cernch
%systemd_post sssd.service
systemctl restart sssd.service

%post domain-cernch
%systemd_post sssd.service
systemctl restart sssd.service

%post domain-ipadev
%systemd_post sssd.service
systemctl restart sssd.service

%preun
%systemd_preun sssd.service

%preun global
%systemd_preun sssd.service

%preun global-cernch
%systemd_preun sssd.service

%preun global-ipadev
%systemd_preun sssd.service

%preun global-cernch-ipadev
%systemd_preun sssd.service

%preun global-ipadev-cernch
%systemd_preun sssd.service

%preun domain-cernch
%systemd_preun sssd.service

%preun domain-ipadev
%systemd_preun sssd.service

%preun servers-cernch-gpn
%systemd_preun sssd.service

%preun servers-ipadev-gpn
%systemd_preun sssd.service

%postun
%systemd_postun sssd.service
systemctl restart sssd.service

%postun global
%systemd_postun sssd.service
systemctl restart sssd.service

%postun global-cernch
%systemd_postun sssd.service
systemctl restart sssd.service

%postun global-ipadev
%systemd_postun sssd.service
systemctl restart sssd.service

%postun global-cernch-ipadev
%systemd_postun sssd.service
systemctl restart sssd.service

%postun global-ipadev-cernch
%systemd_postun sssd.service
systemctl restart sssd.service

%postun domain-cernch
%systemd_postun sssd.service
systemctl restart sssd.service

%postun domain-ipadev
%systemd_postun sssd.service
systemctl restart sssd.service

%postun servers-cernch-gpn
%systemd_postun sssd.service
systemctl restart sssd.service

%postun servers-ipadev-gpn
%systemd_postun sssd.service
systemctl restart sssd.service

%changelog
* Mon May 17 2021 Julien Rische <julien.rische@cern.ch> 1.2-2
- Use unqualified username format for default domain only

* Tue Apr 27 2021 Julien Rische <julien.rische@cern.ch> 1.2-1
- Support user information lookup for main and IPAdev CERN domains

* Wed Jun 24 2020 Julien Rische <julien.rische@cern.ch> 1.1-1
- Add subpackage for IPAdev configuration

* Tue Apr 21 2020 Ben Morrice <ben.morrice@cern.ch> 1.0-2
- remove Requires: sssd-kcm

* Fri Jan 17 2020 Ben Morrice <ben.morrice@cern.ch> 1.0-1
- Initial release
